## gcc-16 16-20251123

=== debian/changelog ===
gcc-16 (16-20251123-1) UNRELEASED; urgency=medium

  * Snapshot, taken from the trunk (20251115).
  * Build using amdgcn-tools-21 instead of -19.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Nov 2025 08:54:26 +0100

gcc-15 (15.2.0-8) unstable; urgency=medium

  * Update to git 20251111 from the gcc-15 branch.
    - Fix PR tree-optimization/122012, PR target/99930 (x86),
      PR target/122323 (x86), PR ada/118782 (closes: #749574), PR ada/81087,
      PR c++/122302, PR target/118460 (ARM), PR target/122516 (AVR),
      PR rtl-optimization/122321, PR target/122270 (RISCV, LP: #2126058),
      PR target/122527 (AVR), PR tree-optimization/118012,
      PR tree-optimization/122505, PR tree-optimization/122408,
      PR tree-optimization/122394, PR target/120674 (RISCV),
      PR target/121604 (AArch64), PR target/119079 (x86), PR ada/118208,
      PR c++/122253, PR c++/122421, PR c++/122381, PR c++/122192,
      PR c++/122310, PR fortran/114023, PR fortran/122386,
      PR fortran/122206, PR fortran/107968.
  * Bootstrap using GCC 15.
  * Disable sframe generation for Ubuntu 26.04 LTS.
  * Ignore some bootstrap comparison failures on sh4. Closes: #1119146.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Nov 2025 03:02:32 +0100

gcc-15 (15.2.0-7) unstable; urgency=medium

  * Also exclude python3-check-jsonschema build dependency for x32.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 11:45:23 +0200

gcc-15 (15.2.0-6) unstable; urgency=medium

  * Update to git 20251022 from the gcc-15 branch.
    - Fix PR target/122223 (ARM), PR target/121599 (AArch64), PR go/104290,
      PR target/122119 (x86), PR middle-end/122133, PR tree-optimization/122104,
      PR tree-optimization/122213, PR target/121845 (RISCV), PR ada/107536,
      PR c/122188, PR c++/120757, PR libstdc++/122322, PR libstdc++/122062.
  * Limit python3-check-jsonschema dependency to architectures which
    have rustc available. Closes: #1118541.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 09:06:13 +0200

gcc-15 (15.2.0-5) unstable; urgency=medium

  * Update to git 20251009 from the gcc-15 branch.
    - Fix PR target/121602 (AArch64), PR target/121464 (ARM),
      PR target/121749 (AArch64), PR target/121906 (loongarch),
      PR rtl-optimization/121757, PR c++/121801, PR c++/121795, PR c++/97740,
      PR libstdc++/117276, PR target/121742 (RISCV), PR target/121780 (RISCV),
      PR target/121781 (RISCV), PR target/110812 (RISCV),
      PR target/121875 (loongarch), PR tree-optimization/121772,
      PR middle-end/121922, PR c++/121977, PR middle-end/121828,
      PR middle-end/121831, PR middle-end/121453, PR tree-optimization/122016,
      PR tree-optimization/121870, PR tree-optimization/107997,
      PR tree-optimization/121844, PR tree-optimization/121659,
      PR tree-optimization/121527, PR tree-optimization/121370,
      PR target/118280 (microblaze), PR ada/118343, PR ada/117517,
      PR ada/121968, PR c++/122015, PR c++/122019, PR c++/121981,
      PR c++/121524, PR c++/122019, PR c++/122015, PR fortran/121616,
      PR fortran/121939, PR fortran/108581, PR fortran/89092,
      PR libstdc++/121827, PR target/121652 (RISCV), PR target/122187 (AVR).
  * Add build dependency on python3-check-jsonschema, needed for some tests.
  * For Ubuntu 26.04 LTS s390x, bump the baseline to z15.
  * Re-enable running the testsuite.
  * Strip again the executables.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2025 10:16:43 +0200

gcc-15 (15.2.0-4) unstable; urgency=medium

  * Update to git 20250911 from the gcc-15 branch.
    - Fix PR target/121794 (AVR), PR c++/121724, PR libstdc++/110853,
      PR libstdc++/121745, PR target/121794 (AVR), PR libstdc++/120698,
      PR target/121510 (RISCV) LP: #2121522, PR target/81540 (AVR),
      PR target/49857 (AVR), PR fortran/121263.
    - Includes libgphobos build fixes for ppc64el and sparc64.
  * Disable sframe generation for now, until sframe-v3 (binutils 2.46) is
    released. Closes: #1114556.
  * Build gnat again on m68k.
  * Build libgphobos on sparc64.
  * Fix libgphobos scanf decl for ppc64el.
  * Update libgfortran, libga68 and libgphobos symbols files.
  * Disable LTO builds for Debian/riscv64, builders are very slow.
  * Update the gcc-search-prefixed-as-ld patch to find the correct as.
    Still needs an update for collect2.cc. Addresses: #1113854.
  * libstdc++-dev: Fix dependency on libc, when libstdc++ is not built.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Sep 2025 06:56:06 +0200

gcc-15 (15.2.0-3) unstable; urgency=medium

  * Update to git 20250903 from the gcc-15 branch.
    - Fix PR bootstrap/118009, PR bootstrap/119089, PR target/121548 (RISCV),
      PR libstdc++/121374, PR libstdc++/121496, PR libstdc++/121097,
      PR libstdc++/120390.
  * Add two patches for newlib amdgcn:
    - amdgcn, libm: Fix infinite loop.
    - amdgcn, libm: Fix vector ilogb bugs (bug 33272).
  * ga68, gcobol: Depend on libc-dev.
  * Build full libgphobos on ppc64el for IEEE long double.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 01:35:42 +0200

gcc-15 (15.2.0-2) unstable; urgency=medium

  * Update to git 20250828 from the gcc-15 branch.
    - Fix PR rtl-optimization/120983, PR target/121634 (loongach),
      PR target/121608 (AVR), PR target/121534 (RISCV),
      PR target/121118 (AArch64), PR rtl-optimization/121253,
      PR target/120986 (AArch64), PR target/120986 (AArch64),
      PR target/121449 (AArch64), PR target/121542 (loongarch),
      PR target/121414 (AArch64), PR target/121294 (AArch64),
      PR rtl-optimization/120718, PR target/121007, PR target/119830 (RISCV),
      PR target/121208 (x86), PR target/120476 (loongarch), PR c++/120499,
      PR c++/121351, PR libgcc/117600, PR libfortran/121234,
      PR libstdc++/121313, PR libstdc++/119861.
  * Configure for the build variant on Ubuntu.
  * Enable sframe generation with binutils 2.45 on amd64 and arm64 (pass

