## gcc-16 16-20251130

=== debian/changelog ===
gcc-16 (16-20251130-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20251130).
  * Build using amdgcn-tools-21 instead of -19.
  * Update build dependencies for gcobol.
  * Disable profiled build on armhf. See PR target/121821, PR target/122815.
  * Update libga68, libgfortran, libgomp and libstdc++ symbols files.
  * Explicitly bump the libgphobos soname.
  * Refresh patches.
  * Fix some lintian warnings, override some more.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Nov 2025 15:14:37 +0100
