## gcc-16 16-20251202

=== debian/changelog ===
gcc-16 (16-20251202-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20251202).
  * Install Algol-68 upstream changelogs.
  * d/NEWS.html: Update for 16, the test file NEWS.gcc is still for 15.
  * d/p/ada-tv_nsec-size.diff: Update for 16. Upstream status?
  * d/copyright*: Update download locations.
  * Override so wrong lintian error about size of Binary field length.
  * Disabled profiled build on i386, see PR ada/122934.
  * Update libhwasan, liblsan, libtsan and libubsan symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Dec 2025 16:51:01 +0100
