## gcc-16 16-20251210

=== debian/changelog ===
gcc-16 (16-20251210-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20251210).
  * Don't rely on python3-check-jsonschema for testing, still having
    unpackaged dependencies.
  * Disable profiled build on powerpc for now.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Dec 2025 12:13:23 +0100
