## gcc-16 16-20251214

=== debian/changelog ===
gcc-16 (16-20251214-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20251214).
  * Log the available disk space for the build.
  * Disable cobol for cross builds for now. Requires a libxml2 build
    for the target.
  * Build liblsan and libtsan on s390x.
  * Work-around the 80GB chroot size on the Ubuntu buildds.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Dec 2025 11:03:15 +0100
