=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
   texinfo, locales-all, sharutils,
   procps, gnat-15:native [!arc !ia64 !sh3 !sh3eb !sh4eb], g++-15:native, netbase, gdc-15:native [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386], python3:any, libxml2-dev [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386], cargo [!alpha !hppa !ia64 !m68k !sh4 !x32 !hurd-amd64 !hurd-i386],
   libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64], lib64z1-dev [i386], unzip <!nocheck>,
-  dejagnu  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, git  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, python3-pytest [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, python3-check-jsonschema [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, chrpath, lsb-release, quilt, time,
+  dejagnu  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, git  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, chrpath, lsb-release, quilt, time,
   pkgconf, libgc-dev,
   g++-16-for-host <cross>, gobjc-16-for-host [!avr] <cross>, gfortran-16-for-host <cross>, gdc-16-for-host [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386] <cross>, gccgo-16-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-16-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb] <cross>, gm2-16-for-host [!powerpc !ppc64 !sh4] <cross>, gcobol-16-for-host [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386] <cross>, ga68-16-for-host <cross>,
 Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
@@ -225,3 +225,5 @@
 Recommends: ${dep:libcdev}
 Suggests: gcc-16-doc (>= ${gcc:SoftVersion}),
  gcc-16-locales (>= ${gcc:SoftVersion}),
+Provides: c-compiler-alpha-linux-gnu
+Description: GNU C compiler for the alpha-linux-gnu architecture
