## gcc-16 16-20260119

=== debian/changelog ===
gcc-16 (16-20260119-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20260119).
  * lib*gcc-N-dev: Install lib{atomic,gcc_s}_asneeded linker scripts.
  * Import updated sanitizer symbols files from GCC 15.
  * Enable PAC/BTI/GCS on arm64 for libgfortran (Emanuele Rocca).
    Closes: #1123084.
  * Don't complain about missing gccrs and gcobc man pages.
  * Stop building multilibs for s390x. Closes: #1125359.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jan 2026 10:29:59 +0100
