## gcc-16 16-20260203

=== debian/changelog ===
gcc-16 (16-20260203-2) experimental; urgency=medium

  * Apply proposed patch for PR d/123953, fixing ftbfs on ppc64le.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Feb 2026 18:10:04 +0100

gcc-16 (16-20260203-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20260203).
  * Update newlib to 4.6.0.20260123.
  * Allow configuring libxml2 include and lib directories.
  * Build-depend on libxml2-source for the cross builds, and generate
    Built-Using for libgcobol built using libxml2-source.
  * Update libga68 and libgcobol symbols files.
  * d/tests/control: Update dependencies for 16 (Michael R. Crusoe).
    Closes: #1126131.
  * Add again build dependency on python3-check-jsonschema, needed for tests.
  * Fix D #22463: SOURCE_DATE_EPOCH parsing incorrectly affected by system
    timezone. Addresses: #1126512.
  * Add the results of the usage-wrapper into the binary packages.
  * Require 6GB memory/CPU for Ubuntu/riscv64 builds. Failing builds without
    build logs.
  * Refresh patches.
  * Update libgphobos7 symbols file for amd64.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Feb 2026 12:04:58 +0100
