## gcc-16 16-20260207

=== debian/changelog ===
gcc-16 (16-20260207-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20260207).
  * Update sh4 LRA patches (Adrian Glaubitz). Closes: #1126958.
  * Build again gnat cross compiler for sh4.
  * Update libcc1 and libgphobos symbols files.

 -- Matthias Klose <doko@debian.org>  Sat, 07 Feb 2026 11:25:14 +0100
