=== debian/tests/control ===
Tests: runtime-libs
Depends: apt, python3-minimal
Restrictions: allow-stderr

Tests: libc-link
Depends: gcc-16, libc6-dev | libc-dev

Tests: libstdcxx-link
Depends: g++-16

Tests: libgfortran-link
Depends: gfortran-16

Tests: libgo-link
Depends: gccgo-16

Tests: libgomp-link
Depends: gfortran-16, gcc-16

Tests: libgm2-link
Depends: gm2-16

Tests: libgnat-link
Depends: gnat-16

Tests: libgcobol-link
Architecture: arm64 amd64
Depends: gcobol-16

Tests: libga68-link
Depends: ga68-16

Tests: libgphobos-link
Depends: gdc-16
Architecture: !powerpc !ppc64 !ppc64el

Tests: shlib-build
Depends: gcc-16, libc6-dev | libc-dev
